<?php
/**
 * Rest api action
 */

namespace Clickio\RestApi\Actions;

use Clickio\Db\ModelFactory;
use Clickio\Db\Models\Captcha as ModelCaptcha;
use Clickio\Options;
use Clickio\RestApi as rest;
use Clickio\Utils\Captcha as UtilsCaptcha;

/**
 * Start captcha chellenge
 *
 * Example:
 *      GET http://domain.name/wp-json/clickio/captcha/
 *
 * @package RestApi\Actions
 */
class Captcha extends rest\BaseRestAction implements rest\Interfaces\IRestApi
{
    /**
     * Handle http get method
     *
     * @return mixed
     */
    public function get()
    {
        $captcha = UtilsCaptcha::generateBase64();
        $appkey = Options::getApplicationKey();
        $sign = md5($captcha['letters'].$appkey);
        $resp = [
            "mime" => 'image/png',
            "sign" => $sign,
            "img" => $captcha['img']
        ];

        $model = ModelFactory::create(ModelCaptcha::class);
        $model->insert($captcha['letters'], $sign);

        $chance = random_int(0, 100);
        if ($chance <= 20) {
            $model->cleanUpUnsolved();
        }
        return $resp;
    }


}