<?php
/**
 * Rest api action
 */

namespace Clickio\RestApi\Actions;

use Clickio as org;
use Clickio\RestApi as rest;

/**
 * Get plugin settings
 * For historical reasons, the endpoint name does not reflect the result.
 *
 * Example:
 *      GET http://domain.name/wp-json/clickio/version/
 *
 * @package RestApi\Actions
 */
class Version extends rest\BaseRestAction implements rest\Interfaces\IRestApi
{
    /**
     * Handle http get method
     *
     * @return mixed
     */
    public function get()
    {
        $options = org\Options::getOptions();
        $accelerator = defined("CLICKIO_ACCELERATOR_VERSION") ? CLICKIO_ACCELERATOR_VERSION : 'Not found';

        $options["version"] = CLICKIO_PRISM_VERSION;
        $options["accelerator_version"] = $accelerator;
        return $options;
    }
}