<?php

/**
 * Detect device type
 */

namespace Clickio\Utils;

/**
 * Device type
 *
 * @package Utils
 */
class DeviceType
{

    /**
     * Mobile user agent
     *
     * @return bool
     */
    public static function isMobile()
    {
        $ua_devices = [
            'Android',
            'iPhone',
            'iPad',
            'iPod'
        ];
        $ua = SafeAccess::fromArray($_SERVER, 'HTTP_USER_AGENT', 'string', 'no user agent');
        foreach ($ua_devices as $device) {
            if (stripos($ua, $device)) {
                return true;
            }
        }

        return false;
    }
}